<?xml version="1.0" encoding="UTF-8"?>
<definitions xmlns="http://schemas.xmlsoap.org/wsdl/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:tns="http://www.wso2.org/php" xmlns:tnx="http://www.wso2.org/php/xsd" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:http="http://www.w3.org/2003/05/soap/bindings/HTTP/" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl" targetNamespace="http://www.wso2.org/php">
  <types>
    <xsd:schema xmlns:ns0="http://www.wikipathways.org/webservice" xmlns:ns1="http://www.wikipathways.org/webservice" xmlns:ns2="http://www.wikipathways.org/webservice" xmlns:ns3="http://www.wikipathways.org/webservice" xmlns:ns4="http://www.wikipathways.org/webservice" xmlns:ns6="http://www.wikipathways.org/webservice" xmlns:ns9="http://www.wikipathways.org/webservice" xmlns:ns10="http://www.wikipathways.org/webservice" xmlns:ns11="http://www.wikipathways.org/webservice" xmlns:ns12="http://www.wikipathways.org/webservice" xmlns:ns13="http://www.wikipathways.org/webservice" xmlns:ns14="http://www.wikipathways.org/webservice" xmlns:ns15="http://www.wikipathways.org/webservice" xmlns:ns16="http://www.wikipathways.org/webservice" elementFormDefault="qualified" targetNamespace="http://www.wso2.org/php/xsd">
      <xsd:import namespace="http://www.wikipathways.org/webservice"/>
      <xsd:element name="updatePathway">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="pwId" type="xsd:string"/>
            <xsd:element name="description" type="xsd:string"/>
            <xsd:element name="gpml" type="xsd:string"/>
            <xsd:element name="revision" type="xsd:int"/>
            <xsd:element name="auth" type="ns0:WSAuth"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="updatePathwayResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="success" type="xsd:boolean"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="findPathwaysByXref">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="ids" maxOccurs="unbounded" type="xsd:string"/>
            <xsd:element name="codes" maxOccurs="unbounded" type="xsd:string"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="findPathwaysByXrefResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="result" maxOccurs="unbounded" type="ns0:WSSearchResult"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getColoredPathway">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="pwId" type="xsd:string"/>
            <xsd:element name="revision" type="xsd:string"/>
            <xsd:element name="graphId" maxOccurs="unbounded" type="xsd:string"/>
            <xsd:element name="color" maxOccurs="unbounded" type="xsd:string"/>
            <xsd:element name="fileType" type="xsd:string"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getColoredPathwayResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="data" type="xsd:base64Binary"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getPathwaysByParentOntologyTerm">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="term" type="xsd:string"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getPathwaysByParentOntologyTermResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="pathways" maxOccurs="unbounded" type="ns0:WSPathwayInfo"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getPathwayInfo">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="pwId" type="xsd:string"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getPathwayInfoResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="pathwayInfo" type="ns1:WSPathwayInfo"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="listPathways">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="organism" type="xsd:string"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="listPathwaysResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="pathways" maxOccurs="unbounded" type="ns2:WSPathwayInfo"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="findPathwaysByLiterature">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="query" type="xsd:string"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="findPathwaysByLiteratureResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="result" maxOccurs="unbounded" type="ns3:WSSearchResult"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="removeCurationTag">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="pwId" type="xsd:string"/>
            <xsd:element name="tagName" type="xsd:string"/>
            <xsd:element name="auth" type="ns4:WSAuth"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="removeCurationTagResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="success" type="xsd:boolean"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="listOrganisms">
        <xsd:complexType>
          <xsd:sequence/>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="listOrganismsResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="organisms" maxOccurs="unbounded" type="xsd:string"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getCurationTagsByName">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="tagName" type="xsd:string"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getCurationTagsByNameResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="tags" maxOccurs="unbounded" type="ns0:WSCurationTag"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="saveCurationTag">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="pwId" type="xsd:string"/>
            <xsd:element name="tagName" type="xsd:string"/>
            <xsd:element name="tagText" type="xsd:string"/>
            <xsd:element name="revision" type="xsd:int"/>
            <xsd:element name="auth" type="ns6:WSAuth"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="saveCurationTagResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="success" type="xsd:boolean"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getPathwayHistory">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="pwId" type="xsd:string"/>
            <xsd:element name="timestamp" type="xsd:string"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getPathwayHistoryResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="history" type="ns0:WSPathwayHistory"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getXrefList">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="pwId" type="xsd:string"/>
            <xsd:element name="code" type="xsd:string"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getXrefListResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="xrefs" maxOccurs="unbounded" type="xsd:string"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getRelations">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="type" type="xsd:string"/>
            <xsd:element name="pwId_1" type="xsd:string"/>
            <xsd:element name="pwId_2" type="xsd:string"/>
            <xsd:element name="minScore" type="xsd:float"/>
            <xsd:element name="species" type="xsd:string"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getRelationsResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="relations" maxOccurs="unbounded" type="ns0:WSRelation"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="findPathwaysByText">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="query" type="xsd:string"/>
            <xsd:element name="species" type="xsd:string"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="findPathwaysByTextResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="result" maxOccurs="unbounded" type="ns9:WSSearchResult"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="createPathway">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="gpml" type="xsd:string"/>
            <xsd:element name="auth" type="ns10:WSAuth"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="createPathwayResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="pathwayInfo" type="ns11:WSPathwayInfo"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getPathwayAs">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="fileType" type="xsd:string"/>
            <xsd:element name="pwId" type="xsd:string"/>
            <xsd:element name="revision" type="xsd:int"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getPathwayAsResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="data" type="xsd:base64Binary"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getCurationTagHistory">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="pwId" type="xsd:string"/>
            <xsd:element name="timestamp" type="xsd:string"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getCurationTagHistoryResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="history" maxOccurs="unbounded" type="ns0:WSCurationTagHistory"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getCurationTags">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="pwId" type="xsd:string"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getCurationTagsResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="tags" maxOccurs="unbounded" type="ns12:WSCurationTag"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="findInteractions">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="query" type="xsd:string"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="findInteractionsResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="result" maxOccurs="unbounded" type="ns13:WSSearchResult"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="login">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="name" type="xsd:string"/>
            <xsd:element name="pass" type="xsd:string"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="loginResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="auth" type="xsd:string"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getRecentChanges">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="timestamp" type="xsd:string"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getRecentChangesResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="pathways" maxOccurs="unbounded" type="ns14:WSPathwayInfo"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getOntologyTermsByOntology">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="ontology" type="xsd:string"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getOntologyTermsByOntologyResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="terms" maxOccurs="unbounded" type="ns0:WSOntologyTerm"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getPathway">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="pwId" type="xsd:string"/>
            <xsd:element name="revision" type="xsd:int"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getPathwayResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="pathway" type="ns0:WSPathway"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getOntologyTermsByPathway">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="pwId" type="xsd:string"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getOntologyTermsByPathwayResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="terms" maxOccurs="unbounded" type="ns15:WSOntologyTerm"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getPathwaysByOntologyTerm">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="term" type="xsd:string"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getPathwaysByOntologyTermResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="pathways" maxOccurs="unbounded" type="ns16:WSPathwayInfo"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
    </xsd:schema>
    <xsd:schema xmlns:ns0="http://www.wikipathways.org/webservice" xmlns:ns5="http://www.wikipathways.org/webservice" xmlns:ns7="http://www.wikipathways.org/webservice" xmlns:ns8="http://www.wikipathways.org/webservice" elementFormDefault="qualified" targetNamespace="http://www.wikipathways.org/webservice">
      <xsd:complexType name="WSAuth">
        <xsd:sequence>
          <xsd:element name="user" type="xsd:string"/>
          <xsd:element name="key" type="xsd:string"/>
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="WSSearchResult">
        <xsd:sequence>
          <xsd:element name="score" type="xsd:double"/>
          <xsd:element name="fields" maxOccurs="unbounded" type="ns0:WSIndexField"/>
          <xsd:element name="id" type="xsd:string"/>
          <xsd:element name="url" type="xsd:string"/>
          <xsd:element name="name" type="xsd:string"/>
          <xsd:element name="species" type="xsd:string"/>
          <xsd:element name="revision" type="xsd:string"/>
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="WSIndexField">
        <xsd:sequence>
          <xsd:element name="name" type="xsd:string"/>
          <xsd:element name="values" maxOccurs="unbounded" type="xsd:string"/>
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="WSPathwayInfo">
        <xsd:sequence>
          <xsd:element name="id" type="xsd:string"/>
          <xsd:element name="url" type="xsd:string"/>
          <xsd:element name="name" type="xsd:string"/>
          <xsd:element name="species" type="xsd:string"/>
          <xsd:element name="revision" type="xsd:string"/>
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="WSCurationTag">
        <xsd:sequence>
          <xsd:element name="name" type="xsd:string"/>
          <xsd:element name="displayName" type="xsd:string"/>
          <xsd:element name="pathway" type="ns5:WSPathwayInfo"/>
          <xsd:element name="revision" type="xsd:string"/>
          <xsd:element name="text" type="xsd:string"/>
          <xsd:element name="timeModified" type="xsd:long"/>
          <xsd:element name="userModified" type="xsd:string"/>
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="WSPathwayHistory">
        <xsd:sequence>
          <xsd:element name="history" maxOccurs="unbounded" type="ns0:WSHistoryRow"/>
          <xsd:element name="id" type="xsd:string"/>
          <xsd:element name="url" type="xsd:string"/>
          <xsd:element name="name" type="xsd:string"/>
          <xsd:element name="species" type="xsd:string"/>
          <xsd:element name="revision" type="xsd:string"/>
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="WSHistoryRow">
        <xsd:sequence>
          <xsd:element name="revision" type="xsd:string"/>
          <xsd:element name="comment" type="xsd:string"/>
          <xsd:element name="user" type="xsd:string"/>
          <xsd:element name="timestamp" type="xsd:string"/>
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="WSRelation">
        <xsd:sequence>
          <xsd:element name="pathway1" type="ns7:WSPathwayInfo"/>
          <xsd:element name="pathway2" type="ns8:WSPathwayInfo"/>
          <xsd:element name="type" type="xsd:string"/>
          <xsd:element name="score" type="xsd:float"/>
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="WSCurationTagHistory">
        <xsd:sequence>
          <xsd:element name="tagName" type="xsd:string"/>
          <xsd:element name="text" type="xsd:string"/>
          <xsd:element name="pathwayId" type="xsd:string"/>
          <xsd:element name="action" type="xsd:string"/>
          <xsd:element name="user" type="xsd:string"/>
          <xsd:element name="time" type="xsd:string"/>
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="WSOntologyTerm">
        <xsd:sequence>
          <xsd:element name="ontology" type="xsd:string"/>
          <xsd:element name="id" type="xsd:string"/>
          <xsd:element name="name" type="xsd:string"/>
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="WSPathway">
        <xsd:sequence>
          <xsd:element name="gpml" type="xsd:string"/>
          <xsd:element name="id" type="xsd:string"/>
          <xsd:element name="url" type="xsd:string"/>
          <xsd:element name="name" type="xsd:string"/>
          <xsd:element name="species" type="xsd:string"/>
          <xsd:element name="revision" type="xsd:string"/>
        </xsd:sequence>
      </xsd:complexType>
    </xsd:schema>
  </types>
  <message name="updatePathway">
    <part name="parameters" element="tnx:updatePathway"/>
  </message>
  <message name="updatePathwayResponse">
    <part name="parameters" element="tnx:updatePathwayResponse"/>
  </message>
  <message name="findPathwaysByXref">
    <part name="parameters" element="tnx:findPathwaysByXref"/>
  </message>
  <message name="findPathwaysByXrefResponse">
    <part name="parameters" element="tnx:findPathwaysByXrefResponse"/>
  </message>
  <message name="getColoredPathway">
    <part name="parameters" element="tnx:getColoredPathway"/>
  </message>
  <message name="getColoredPathwayResponse">
    <part name="parameters" element="tnx:getColoredPathwayResponse"/>
  </message>
  <message name="getPathwaysByParentOntologyTerm">
    <part name="parameters" element="tnx:getPathwaysByParentOntologyTerm"/>
  </message>
  <message name="getPathwaysByParentOntologyTermResponse">
    <part name="parameters" element="tnx:getPathwaysByParentOntologyTermResponse"/>
  </message>
  <message name="getPathwayInfo">
    <part name="parameters" element="tnx:getPathwayInfo"/>
  </message>
  <message name="getPathwayInfoResponse">
    <part name="parameters" element="tnx:getPathwayInfoResponse"/>
  </message>
  <message name="listPathways">
    <part name="parameters" element="tnx:listPathways"/>
  </message>
  <message name="listPathwaysResponse">
    <part name="parameters" element="tnx:listPathwaysResponse"/>
  </message>
  <message name="findPathwaysByLiterature">
    <part name="parameters" element="tnx:findPathwaysByLiterature"/>
  </message>
  <message name="findPathwaysByLiteratureResponse">
    <part name="parameters" element="tnx:findPathwaysByLiteratureResponse"/>
  </message>
  <message name="removeCurationTag">
    <part name="parameters" element="tnx:removeCurationTag"/>
  </message>
  <message name="removeCurationTagResponse">
    <part name="parameters" element="tnx:removeCurationTagResponse"/>
  </message>
  <message name="listOrganisms">
    <part name="parameters" element="tnx:listOrganisms"/>
  </message>
  <message name="listOrganismsResponse">
    <part name="parameters" element="tnx:listOrganismsResponse"/>
  </message>
  <message name="getCurationTagsByName">
    <part name="parameters" element="tnx:getCurationTagsByName"/>
  </message>
  <message name="getCurationTagsByNameResponse">
    <part name="parameters" element="tnx:getCurationTagsByNameResponse"/>
  </message>
  <message name="saveCurationTag">
    <part name="parameters" element="tnx:saveCurationTag"/>
  </message>
  <message name="saveCurationTagResponse">
    <part name="parameters" element="tnx:saveCurationTagResponse"/>
  </message>
  <message name="getPathwayHistory">
    <part name="parameters" element="tnx:getPathwayHistory"/>
  </message>
  <message name="getPathwayHistoryResponse">
    <part name="parameters" element="tnx:getPathwayHistoryResponse"/>
  </message>
  <message name="getXrefList">
    <part name="parameters" element="tnx:getXrefList"/>
  </message>
  <message name="getXrefListResponse">
    <part name="parameters" element="tnx:getXrefListResponse"/>
  </message>
  <message name="getRelations">
    <part name="parameters" element="tnx:getRelations"/>
  </message>
  <message name="getRelationsResponse">
    <part name="parameters" element="tnx:getRelationsResponse"/>
  </message>
  <message name="findPathwaysByText">
    <part name="parameters" element="tnx:findPathwaysByText"/>
  </message>
  <message name="findPathwaysByTextResponse">
    <part name="parameters" element="tnx:findPathwaysByTextResponse"/>
  </message>
  <message name="createPathway">
    <part name="parameters" element="tnx:createPathway"/>
  </message>
  <message name="createPathwayResponse">
    <part name="parameters" element="tnx:createPathwayResponse"/>
  </message>
  <message name="getPathwayAs">
    <part name="parameters" element="tnx:getPathwayAs"/>
  </message>
  <message name="getPathwayAsResponse">
    <part name="parameters" element="tnx:getPathwayAsResponse"/>
  </message>
  <message name="getCurationTagHistory">
    <part name="parameters" element="tnx:getCurationTagHistory"/>
  </message>
  <message name="getCurationTagHistoryResponse">
    <part name="parameters" element="tnx:getCurationTagHistoryResponse"/>
  </message>
  <message name="getCurationTags">
    <part name="parameters" element="tnx:getCurationTags"/>
  </message>
  <message name="getCurationTagsResponse">
    <part name="parameters" element="tnx:getCurationTagsResponse"/>
  </message>
  <message name="findInteractions">
    <part name="parameters" element="tnx:findInteractions"/>
  </message>
  <message name="findInteractionsResponse">
    <part name="parameters" element="tnx:findInteractionsResponse"/>
  </message>
  <message name="login">
    <part name="parameters" element="tnx:login"/>
  </message>
  <message name="loginResponse">
    <part name="parameters" element="tnx:loginResponse"/>
  </message>
  <message name="getRecentChanges">
    <part name="parameters" element="tnx:getRecentChanges"/>
  </message>
  <message name="getRecentChangesResponse">
    <part name="parameters" element="tnx:getRecentChangesResponse"/>
  </message>
  <message name="getOntologyTermsByOntology">
    <part name="parameters" element="tnx:getOntologyTermsByOntology"/>
  </message>
  <message name="getOntologyTermsByOntologyResponse">
    <part name="parameters" element="tnx:getOntologyTermsByOntologyResponse"/>
  </message>
  <message name="getPathway">
    <part name="parameters" element="tnx:getPathway"/>
  </message>
  <message name="getPathwayResponse">
    <part name="parameters" element="tnx:getPathwayResponse"/>
  </message>
  <message name="getOntologyTermsByPathway">
    <part name="parameters" element="tnx:getOntologyTermsByPathway"/>
  </message>
  <message name="getOntologyTermsByPathwayResponse">
    <part name="parameters" element="tnx:getOntologyTermsByPathwayResponse"/>
  </message>
  <message name="getPathwaysByOntologyTerm">
    <part name="parameters" element="tnx:getPathwaysByOntologyTerm"/>
  </message>
  <message name="getPathwaysByOntologyTermResponse">
    <part name="parameters" element="tnx:getPathwaysByOntologyTermResponse"/>
  </message>
  <portType name="WikiPathwaysPortType">
    <operation name="updatePathway">
      <input message="tns:updatePathway"/>
      <output message="tns:updatePathwayResponse"/>
    </operation>
    <operation name="findPathwaysByXref">
      <input message="tns:findPathwaysByXref"/>
      <output message="tns:findPathwaysByXrefResponse"/>
    </operation>
    <operation name="getColoredPathway">
      <input message="tns:getColoredPathway"/>
      <output message="tns:getColoredPathwayResponse"/>
    </operation>
    <operation name="getPathwaysByParentOntologyTerm">
      <input message="tns:getPathwaysByParentOntologyTerm"/>
      <output message="tns:getPathwaysByParentOntologyTermResponse"/>
    </operation>
    <operation name="getPathwayInfo">
      <input message="tns:getPathwayInfo"/>
      <output message="tns:getPathwayInfoResponse"/>
    </operation>
    <operation name="listPathways">
      <input message="tns:listPathways"/>
      <output message="tns:listPathwaysResponse"/>
    </operation>
    <operation name="findPathwaysByLiterature">
      <input message="tns:findPathwaysByLiterature"/>
      <output message="tns:findPathwaysByLiteratureResponse"/>
    </operation>
    <operation name="removeCurationTag">
      <input message="tns:removeCurationTag"/>
      <output message="tns:removeCurationTagResponse"/>
    </operation>
    <operation name="listOrganisms">
      <input message="tns:listOrganisms"/>
      <output message="tns:listOrganismsResponse"/>
    </operation>
    <operation name="getCurationTagsByName">
      <input message="tns:getCurationTagsByName"/>
      <output message="tns:getCurationTagsByNameResponse"/>
    </operation>
    <operation name="saveCurationTag">
      <input message="tns:saveCurationTag"/>
      <output message="tns:saveCurationTagResponse"/>
    </operation>
    <operation name="getPathwayHistory">
      <input message="tns:getPathwayHistory"/>
      <output message="tns:getPathwayHistoryResponse"/>
    </operation>
    <operation name="getXrefList">
      <input message="tns:getXrefList"/>
      <output message="tns:getXrefListResponse"/>
    </operation>
    <operation name="getRelations">
      <input message="tns:getRelations"/>
      <output message="tns:getRelationsResponse"/>
    </operation>
    <operation name="findPathwaysByText">
      <input message="tns:findPathwaysByText"/>
      <output message="tns:findPathwaysByTextResponse"/>
    </operation>
    <operation name="createPathway">
      <input message="tns:createPathway"/>
      <output message="tns:createPathwayResponse"/>
    </operation>
    <operation name="getPathwayAs">
      <input message="tns:getPathwayAs"/>
      <output message="tns:getPathwayAsResponse"/>
    </operation>
    <operation name="getCurationTagHistory">
      <input message="tns:getCurationTagHistory"/>
      <output message="tns:getCurationTagHistoryResponse"/>
    </operation>
    <operation name="getCurationTags">
      <input message="tns:getCurationTags"/>
      <output message="tns:getCurationTagsResponse"/>
    </operation>
    <operation name="findInteractions">
      <input message="tns:findInteractions"/>
      <output message="tns:findInteractionsResponse"/>
    </operation>
    <operation name="login">
      <input message="tns:login"/>
      <output message="tns:loginResponse"/>
    </operation>
    <operation name="getRecentChanges">
      <input message="tns:getRecentChanges"/>
      <output message="tns:getRecentChangesResponse"/>
    </operation>
    <operation name="getOntologyTermsByOntology">
      <input message="tns:getOntologyTermsByOntology"/>
      <output message="tns:getOntologyTermsByOntologyResponse"/>
    </operation>
    <operation name="getPathway">
      <input message="tns:getPathway"/>
      <output message="tns:getPathwayResponse"/>
    </operation>
    <operation name="getOntologyTermsByPathway">
      <input message="tns:getOntologyTermsByPathway"/>
      <output message="tns:getOntologyTermsByPathwayResponse"/>
    </operation>
    <operation name="getPathwaysByOntologyTerm">
      <input message="tns:getPathwaysByOntologyTerm"/>
      <output message="tns:getPathwaysByOntologyTermResponse"/>
    </operation>
  </portType>
  <binding name="WikiPathwaysSOAPBinding" type="tns:WikiPathwaysPortType">
    <soap:binding xmlns="http://schemas.xmlsoap.org/wsdl/soap/" transport="http://schemas.xmlsoap.org/soap/http" style="document"/>
    <operation xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/" name="updatePathway">
      <soap:operation xmlns="http://schemas.xmlsoap.org/wsdl/soap/" soapAction="http://www.wikipathways.org/wpi/webservice/webservice.php/updatePathway" style="document"/>
      <input xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </input>
      <output xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </output>
    </operation>
    <operation xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/" name="findPathwaysByXref">
      <soap:operation xmlns="http://schemas.xmlsoap.org/wsdl/soap/" soapAction="http://www.wikipathways.org/wpi/webservice/webservice.php/findPathwaysByXref" style="document"/>
      <input xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </input>
      <output xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </output>
    </operation>
    <operation xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/" name="getColoredPathway">
      <soap:operation xmlns="http://schemas.xmlsoap.org/wsdl/soap/" soapAction="http://www.wikipathways.org/wpi/webservice/webservice.php/getColoredPathway" style="document"/>
      <input xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </input>
      <output xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </output>
    </operation>
    <operation xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/" name="getPathwaysByParentOntologyTerm">
      <soap:operation xmlns="http://schemas.xmlsoap.org/wsdl/soap/" soapAction="http://www.wikipathways.org/wpi/webservice/webservice.php/getPathwaysByParentOntologyTerm" style="document"/>
      <input xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </input>
      <output xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </output>
    </operation>
    <operation xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/" name="getPathwayInfo">
      <soap:operation xmlns="http://schemas.xmlsoap.org/wsdl/soap/" soapAction="http://www.wikipathways.org/wpi/webservice/webservice.php/getPathwayInfo" style="document"/>
      <input xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </input>
      <output xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </output>
    </operation>
    <operation xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/" name="listPathways">
      <soap:operation xmlns="http://schemas.xmlsoap.org/wsdl/soap/" soapAction="http://www.wikipathways.org/wpi/webservice/webservice.php/listPathways" style="document"/>
      <input xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </input>
      <output xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </output>
    </operation>
    <operation xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/" name="findPathwaysByLiterature">
      <soap:operation xmlns="http://schemas.xmlsoap.org/wsdl/soap/" soapAction="http://www.wikipathways.org/wpi/webservice/webservice.php/findPathwaysByLiterature" style="document"/>
      <input xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </input>
      <output xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </output>
    </operation>
    <operation xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/" name="removeCurationTag">
      <soap:operation xmlns="http://schemas.xmlsoap.org/wsdl/soap/" soapAction="http://www.wikipathways.org/wpi/webservice/webservice.php/removeCurationTag" style="document"/>
      <input xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </input>
      <output xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </output>
    </operation>
    <operation xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/" name="listOrganisms">
      <soap:operation xmlns="http://schemas.xmlsoap.org/wsdl/soap/" soapAction="http://www.wikipathways.org/wpi/webservice/webservice.php/listOrganisms" style="document"/>
      <input xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </input>
      <output xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </output>
    </operation>
    <operation xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/" name="getCurationTagsByName">
      <soap:operation xmlns="http://schemas.xmlsoap.org/wsdl/soap/" soapAction="http://www.wikipathways.org/wpi/webservice/webservice.php/getCurationTagsByName" style="document"/>
      <input xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </input>
      <output xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </output>
    </operation>
    <operation xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/" name="saveCurationTag">
      <soap:operation xmlns="http://schemas.xmlsoap.org/wsdl/soap/" soapAction="http://www.wikipathways.org/wpi/webservice/webservice.php/saveCurationTag" style="document"/>
      <input xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </input>
      <output xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </output>
    </operation>
    <operation xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/" name="getPathwayHistory">
      <soap:operation xmlns="http://schemas.xmlsoap.org/wsdl/soap/" soapAction="http://www.wikipathways.org/wpi/webservice/webservice.php/getPathwayHistory" style="document"/>
      <input xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </input>
      <output xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </output>
    </operation>
    <operation xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/" name="getXrefList">
      <soap:operation xmlns="http://schemas.xmlsoap.org/wsdl/soap/" soapAction="http://www.wikipathways.org/wpi/webservice/webservice.php/getXrefList" style="document"/>
      <input xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </input>
      <output xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </output>
    </operation>
    <operation xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/" name="getRelations">
      <soap:operation xmlns="http://schemas.xmlsoap.org/wsdl/soap/" soapAction="http://www.wikipathways.org/wpi/webservice/webservice.php/getRelations" style="document"/>
      <input xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </input>
      <output xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </output>
    </operation>
    <operation xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/" name="findPathwaysByText">
      <soap:operation xmlns="http://schemas.xmlsoap.org/wsdl/soap/" soapAction="http://www.wikipathways.org/wpi/webservice/webservice.php/findPathwaysByText" style="document"/>
      <input xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </input>
      <output xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </output>
    </operation>
    <operation xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/" name="createPathway">
      <soap:operation xmlns="http://schemas.xmlsoap.org/wsdl/soap/" soapAction="http://www.wikipathways.org/wpi/webservice/webservice.php/createPathway" style="document"/>
      <input xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </input>
      <output xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </output>
    </operation>
    <operation xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/" name="getPathwayAs">
      <soap:operation xmlns="http://schemas.xmlsoap.org/wsdl/soap/" soapAction="http://www.wikipathways.org/wpi/webservice/webservice.php/getPathwayAs" style="document"/>
      <input xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </input>
      <output xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </output>
    </operation>
    <operation xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/" name="getCurationTagHistory">
      <soap:operation xmlns="http://schemas.xmlsoap.org/wsdl/soap/" soapAction="http://www.wikipathways.org/wpi/webservice/webservice.php/getCurationTagHistory" style="document"/>
      <input xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </input>
      <output xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </output>
    </operation>
    <operation xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/" name="getCurationTags">
      <soap:operation xmlns="http://schemas.xmlsoap.org/wsdl/soap/" soapAction="http://www.wikipathways.org/wpi/webservice/webservice.php/getCurationTags" style="document"/>
      <input xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </input>
      <output xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </output>
    </operation>
    <operation xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/" name="findInteractions">
      <soap:operation xmlns="http://schemas.xmlsoap.org/wsdl/soap/" soapAction="http://www.wikipathways.org/wpi/webservice/webservice.php/findInteractions" style="document"/>
      <input xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </input>
      <output xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </output>
    </operation>
    <operation xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/" name="login">
      <soap:operation xmlns="http://schemas.xmlsoap.org/wsdl/soap/" soapAction="http://www.wikipathways.org/wpi/webservice/webservice.php/login" style="document"/>
      <input xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </input>
      <output xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </output>
    </operation>
    <operation xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/" name="getRecentChanges">
      <soap:operation xmlns="http://schemas.xmlsoap.org/wsdl/soap/" soapAction="http://www.wikipathways.org/wpi/webservice/webservice.php/getRecentChanges" style="document"/>
      <input xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </input>
      <output xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </output>
    </operation>
    <operation xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/" name="getOntologyTermsByOntology">
      <soap:operation xmlns="http://schemas.xmlsoap.org/wsdl/soap/" soapAction="http://www.wikipathways.org/wpi/webservice/webservice.php/getOntologyTermsByOntology" style="document"/>
      <input xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </input>
      <output xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </output>
    </operation>
    <operation xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/" name="getPathway">
      <soap:operation xmlns="http://schemas.xmlsoap.org/wsdl/soap/" soapAction="http://www.wikipathways.org/wpi/webservice/webservice.php/getPathway" style="document"/>
      <input xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </input>
      <output xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </output>
    </operation>
    <operation xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/" name="getOntologyTermsByPathway">
      <soap:operation xmlns="http://schemas.xmlsoap.org/wsdl/soap/" soapAction="http://www.wikipathways.org/wpi/webservice/webservice.php/getOntologyTermsByPathway" style="document"/>
      <input xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </input>
      <output xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </output>
    </operation>
    <operation xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/" name="getPathwaysByOntologyTerm">
      <soap:operation xmlns="http://schemas.xmlsoap.org/wsdl/soap/" soapAction="http://www.wikipathways.org/wpi/webservice/webservice.php/getPathwaysByOntologyTerm" style="document"/>
      <input xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </input>
      <output xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/">
        <soap:body xmlns="http://schemas.xmlsoap.org/wsdl/soap/" use="literal"/>
      </output>
    </operation>
  </binding>
  <service name="WikiPathways">
    <port xmlns:default="http://schemas.xmlsoap.org/wsdl/soap/" name="WikiPathwaysSOAPPort_Http" binding="tns:WikiPathwaysSOAPBinding">
      <soap:address xmlns="http://schemas.xmlsoap.org/wsdl/soap/" location="http://www.wikipathways.org/wpi/webservice/webservice.php"/>
    </port>
  </service>
</definitions>
